#include <stdio.h>
#include <stdlib.h>

int main()
{
      int i,z,N,K, a[20000];
      scanf("%d%d",&N,&K);
      for(i=0; i<N;i++)
      {
          scanf("%d", &a[i]);
          if(K==a[i])
            z=i;
      }
      if(K==a[N-1])
        printf("%d",a[0]);
      else
        printf("%d",a[z+1]);
      return 0;
}